Bug 215247 - Disabling desktop-effects doesn't kill window decorator
Disabling desktop-effects doesn't kill window decorator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 16:27 EST by Stewart Adam
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 05:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2006-11-12 16:27:27 EST
Description of problem:
Once desktop-effects are enabled, disabling them kills Compiz (starts metacity)
but will not kill the window decorator.

Version-Release number of selected component (if applicable):
compiz-0.3.2-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Enable desktop-effects
2. Disable desktop-effects
3. run "ps -A | grep window-decorator"
  
Actual results:
A window decorator (used to be gnome-window-decorator, not gtk-window decorator)
will still be running

Expected results:
Effects are stopped, so the window decorator should be killed, too.

Additional info:
Comment 1 W. Michael Petullo 2006-11-18 09:05:24 EST
I also see this in Fedora Core 6 with updates applied.
Comment 2 Stewart Adam 2007-04-28 11:02:00 EDT
Still occurring with Compiz 0.3.6 in F7T4.
Comment 3 W. Michael Petullo 2007-07-11 14:15:26 EDT
I still see this problem with compiz-0.3.6-8.fc7 in F7.
Comment 4 Kristian Høgsberg 2007-08-21 13:52:50 EDT
Should be fixed in rawhide.
Comment 5 A S Alam 2007-09-17 05:35:22 EDT
it is fixed. Tested with following  version:

compiz-0.5.2-11.0ec3ec.fc8

Note You need to log in before you can comment on or make changes to this bug.